### Method

# GdkPixbuf Pixbuf set_option

since: 2.2

#### Declaration [src]

    gboolean
    gdk_pixbuf_set_option (
      GdkPixbuf* pixbuf,
      const gchar* key,
      const gchar* value
    )

#### Description [src]

Attaches a key/value pair as an option to a `GdkPixbuf`.

If `key` already exists in the list of options attached to the `pixbuf`, the new value is ignored and `FALSE` is returned.

Available since: 2.2

#### Parameters

`key`

  Type: `const gchar*`

  A nul-terminated string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A nul-terminated string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` on success.